Get post (v2)
Deprecated: use /v1/reddit/post-details → instead. Returns one post identified by required post_id_or_url. Optional comment fields select a specific included comment.
2 credits / requestBilled only on success
Deprecated
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
post_id_or_url*string
The post's reddit.com permalink, or its id (1uw2gep) or fullname (t3_1uw2gep).
Length
1 <= lengthinclude_comment_id?string
Whether to include a specific comment ID's context in the post response.
comment_id?string
Comment fullname to include context for.
curl -X GET "https://example.com/v2/reddit/post?post_id_or_url=https%3A%2F%2Fwww.reddit.com%2Fr%2Fpics%2Fcomments%2F1uw2gep%2F" \ -H "x-api-key: YOUR_API_KEY"{ "data": [ { "id": "string", "property1": null, "property2": null } ], "details": { "reason": "string", "message": "string" }}